
From: 1 1 <anoy@mail.ru>

I have tested my MB GA-7VAX and want to say you that you should use
VIA_DXS_ENABLE instead VIA_DXS_NO_VRA.  On the maximum volume output level
with VIA_DXS_NO_VRA there is abnormal loud noise, and with VIA_DXS_ENABLE
there are much less noises.  And I have detected unused code section.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/sound/pci/via82xx.c |    8 +-------
 1 files changed, 1 insertion(+), 7 deletions(-)

diff -puN sound/pci/via82xx.c~via82xx-fix sound/pci/via82xx.c
--- 25/sound/pci/via82xx.c~via82xx-fix	2004-09-21 03:25:15.911336920 -0700
+++ 25-akpm/sound/pci/via82xx.c	2004-09-21 03:25:15.916336160 -0700
@@ -623,11 +623,6 @@ static irqreturn_t snd_via82xx_interrupt
 	unsigned int status;
 	unsigned int i;
 
-#if 0
-	/* FIXME: does it work on via823x? */
-	if (chip->chip_type != TYPE_VIA686)
-		goto _skip_sgd;
-#endif
 	status = inl(VIAREG(chip, SGD_SHADOW));
 	if (! (status & chip->intr_mask)) {
 		if (chip->rmidi)
@@ -635,7 +630,6 @@ static irqreturn_t snd_via82xx_interrupt
 			return snd_mpu401_uart_interrupt(irq, chip->rmidi->private_data, regs);
 		return IRQ_NONE;
 	}
-// _skip_sgd:
 
 	/* check status for each stream */
 	spin_lock(&chip->reg_lock);
@@ -2106,7 +2100,7 @@ static int __devinit check_dxs_list(stru
 		{ .vendor = 0x1106, .device = 0xaa01, .action = VIA_DXS_NO_VRA }, /* EPIA MII */
 		{ .vendor = 0x1297, .device = 0xa232, .action = VIA_DXS_ENABLE }, /* Shuttle ?? */
 		{ .vendor = 0x1297, .device = 0xc160, .action = VIA_DXS_ENABLE }, /* Shuttle SK41G */
-		{ .vendor = 0x1458, .device = 0xa002, .action = VIA_DXS_NO_VRA }, /* Gigabyte GA-7VAXP (FIXME: or DXS_ENABLE?) */
+		{ .vendor = 0x1458, .device = 0xa002, .action = VIA_DXS_ENABLE }, /* Gigabyte GA-7VAXP */
 		{ .vendor = 0x147b, .device = 0x1401, .action = VIA_DXS_ENABLE }, /* ABIT KD7(-RAID) */
 		{ .vendor = 0x14ff, .device = 0x0403, .action = VIA_DXS_ENABLE }, /* Twinhead mobo */
 		{ .vendor = 0x1462, .device = 0x3800, .action = VIA_DXS_ENABLE }, /* MSI KT266 */
_
